libgdamm Reference Documentation

Main Page Namespaces Book

# connection.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::Connection
| Manages a connection to a data source. More...
class | Gnome::Gda::ConnectionError
| Exception class for Gda connection errors. More...
class | Gnome::Gda::GeneralError
| Exception class for Gda errors. More...

## Typedefs

typedef GdaServerProviderInfo | Gnome::Gda::ServerProviderInfo

## Enumerations

enum

Gnome::Gda::ConnectionFeature {
Gnome::Gda::CONNECTION_FEATURE_AGGREGATES,
Gnome::Gda::CONNECTION_FEATURE_BLOBS,
Gnome::Gda::CONNECTION_FEATURE_INDEXES,
Gnome::Gda::CONNECTION_FEATURE_INHERITANCE,
Gnome::Gda::CONNECTION_FEATURE_NAMESPACES,
Gnome::Gda::CONNECTION_FEATURE_PROCEDURES,
Gnome::Gda::CONNECTION_FEATURE_SEQUENCES,
Gnome::Gda::CONNECTION_FEATURE_SQL,
Gnome::Gda::CONNECTION_FEATURE_TRANSACTIONS,
Gnome::Gda::CONNECTION_FEATURE_SAVEPOINTS,
Gnome::Gda::CONNECTION_FEATURE_SAVEPOINTS_REMOVE,
Gnome::Gda::CONNECTION_FEATURE_TRIGGERS,
Gnome::Gda::CONNECTION_FEATURE_UPDATABLE_CURSOR,
Gnome::Gda::CONNECTION_FEATURE_USERS,
Gnome::Gda::CONNECTION_FEATURE_VIEWS,
Gnome::Gda::CONNECTION_FEATURE_XML_QUERIES
}

enum | Gnome::Gda::ConnectionOptions { Gnome::Gda::CONNECTION_OPTIONS_NONE = 0, Gnome::Gda::CONNECTION_OPTIONS_READ_ONLY = 1 << 0 }

Bitwise operators:
  `ConnectionOptions operator|(ConnectionOptions, ConnectionOptions)`
  `ConnectionOptions operator&(ConnectionOptions, ConnectionOptions)`
  `ConnectionOptions operator^(ConnectionOptions, ConnectionOptions)`
  `ConnectionOptions operator~(ConnectionOptions)`
  `ConnectionOptions& operator|=(ConnectionOptions&, ConnectionOptions)`
  `ConnectionOptions& operator&=(ConnectionOptions&, ConnectionOptions)`
  `ConnectionOptions& operator^=(ConnectionOptions&, ConnectionOptions)`

More...

enum

Gnome::Gda::ConnectionSchema {
Gnome::Gda::CONNECTION_SCHEMA_AGGREGATES,
Gnome::Gda::CONNECTION_SCHEMA_DATABASES,
Gnome::Gda::CONNECTION_SCHEMA_FIELDS,
Gnome::Gda::CONNECTION_SCHEMA_INDEXES,
Gnome::Gda::CONNECTION_SCHEMA_LANGUAGES,
Gnome::Gda::CONNECTION_SCHEMA_NAMESPACES,
Gnome::Gda::CONNECTION_SCHEMA_PARENT_TABLES,
Gnome::Gda::CONNECTION_SCHEMA_PROCEDURES,
Gnome::Gda::CONNECTION_SCHEMA_SEQUENCES,
Gnome::Gda::CONNECTION_SCHEMA_TABLES,
Gnome::Gda::CONNECTION_SCHEMA_TRIGGERS,
Gnome::Gda::CONNECTION_SCHEMA_TYPES,
Gnome::Gda::CONNECTION_SCHEMA_USERS,
Gnome::Gda::CONNECTION_SCHEMA_VIEWS,
Gnome::Gda::CONNECTION_SCHEMA_CONSTRAINTS,
Gnome::Gda::CONNECTION_SCHEMA_TABLE_CONTENTS
}

## Functions

ConnectionOptions | Gnome::Gda::operator& (ConnectionOptions lhs, ConnectionOptions rhs)
ConnectionOptions& | Gnome::Gda::operator&= (ConnectionOptions& lhs, ConnectionOptions rhs)
ConnectionOptions | Gnome::Gda::operator^ (ConnectionOptions lhs, ConnectionOptions rhs)
ConnectionOptions& | Gnome::Gda::operator^= (ConnectionOptions& lhs, ConnectionOptions rhs)
ConnectionOptions | Gnome::Gda::operator| (ConnectionOptions lhs, ConnectionOptions rhs)
ConnectionOptions& | Gnome::Gda::operator|= (ConnectionOptions& lhs, ConnectionOptions rhs)
ConnectionOptions | Gnome::Gda::operator~ (ConnectionOptions flags)